Package: org.codehaus.groovy.tools.shell

## [Java] Class IO.Verbosity

- org.codehaus.groovy.tools.shell.IO.Verbosity

-     public static final class IO.Verbosity
      extends Object

  Verbosity for simple logging: QUIET, INFO, VERBOSE, DEBUG

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Verbosity` | `DEBUG` |
    `static Verbosity` | `INFO` |
    `static Verbosity` | `QUIET` |
    `static Verbosity` | `VERBOSE` |
    `String` | `name` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Verbosity` | `forName(String name)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final Verbosity DEBUG

    - #### public static final Verbosity INFO

    - #### public static final Verbosity QUIET

    - #### public static final Verbosity VERBOSE

    - #### public final String name

  - ### Method Detail

    - #### public static Verbosity forName(String name)

    - #### @Override
      public String toString()